<template>
  <div class="echart2_box">
    <div id="echart2"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      x2: [
        {
          yhdw: "管道院勘察室",
          sjlb: "全国管网专题图服务",
          sycj: "在线",
          zxfwl: "150",
          sqry: "张强国",
          qysj: "3/15/21",
          dqsj: "3/15/23",
        },
        {
          yhdw: "管道院勘察室",
          sjlb: "项目足迹图服务",
          sycj: "在线",
          zxfwl: "100",
          sqry: "张强国",
          qysj: "3/15/21",
          dqsj: "3/15/23",
        },
        {
          yhdw: "管道院勘察室",
          sjlb: "影像基础底图服务",
          sycj: "在线",
          zxfwl: "20000",
          sqry: "张强国",
          qysj: "3/15/21",
          dqsj: "3/15/23",
        },
        {
          yhdw: "管道院勘察室",
          sjlb: "河北省1:25万数字线划图",
          sycj: "离线",
          sjl: "25",
          sqry: "张强国",
          qysj: "3/15/21",
          dqsj: "3/15/23",
        },
        {
          yhdw: "管道院总图室",
          sjlb: "全国管网专题图服务",
          sycj: "在线",
          zxfwl: "2000",
          sqry: "李宇",
          qysj: "4/15/22",
          dqsj: "4/15/23",
        },
        {
          yhdw: "管道院总图室",
          sjlb: "项目足迹图服务",
          sycj: "在线",
          zxfwl: "200",
          sqry: "李宇",
          qysj: "4/15/22",
          dqsj: "4/15/23",
        },
        {
          yhdw: "管道院总图室",
          sjlb: "三维场景底图服务",
          sycj: "在线",
          zxfwl: "10000",
          sqry: "李宇",
          qysj: "4/15/22",
          dqsj: "4/15/23",
        },
        {
          yhdw: "管道院总图室",
          sjlb: "全国1:100万数字线划图",
          sycj: "离线",
          sjl: "10",
          sqry: "李宇",
          qysj: "4/15/22",
          dqsj: "4/15/23",
        },
        {
          yhdw: "管道院工程部",
          sjlb: "全国管网专题图服务",
          sycj: "在线",
          zxfwl: "3000",
          sqry: "何宙",
          qysj: "5/15/22",
          dqsj: "5/15/23",
        },
        {
          yhdw: "管道院工程部",
          sjlb: "项目足迹图服务",
          sycj: "在线",
          zxfwl: "100",
          sqry: "何宙",
          qysj: "5/15/22",
          dqsj: "5/15/23",
        },
        {
          yhdw: "管道院工程部",
          sjlb: "影像基础底图服务",
          sycj: "在线",
          zxfwl: "50000",
          sqry: "何宙",
          qysj: "5/15/22",
          dqsj: "5/15/23",
        },
        {
          yhdw: "管道院工程部",
          sjlb: "宁夏市30米分辨率数字高程模型",
          sycj: "离线",
          sjl: "20",
          sqry: "何宙",
          qysj: "5/15/22",
          dqsj: "5/15/23",
        },
        {
          yhdw: "管道院工程部",
          sjlb: "宁夏市0.5米分辨率数字正射影像图",
          sycj: "离线",
          sjl: "200",
          sqry: "何宙",
          qysj: "5/15/22",
          dqsj: "5/15/23",
        },
        {
          yhdw: "管道院工程部",
          sjlb: "宁夏市1:5万数字栅格图",
          sycj: "离线",
          sjl: "20",
          sqry: "何宙",
          qysj: "5/15/22",
          dqsj: "5/15/23",
          bz: "10幅",
        },
      ],
    };
  },
  mounted() {
    this.lineChart();
  },
  //方法集合
  methods: {
    lineChart() {
      var xdata = [];
      var data1 = [];
      var data2 = [];
      var data3 = [];
      this.x2.forEach((e) => {
        xdata.push(`${e.yhdw}-${e.sjlb}`);
      });

      let option = {
        tooltip: {
          trigger: "axis",
          axisPointer: {
            type: "cross",
            crossStyle: {
              color: "#999",
            },
          },
        },
        toolbox: {
          feature: {
            dataView: { show: true, readOnly: false },
            magicType: { show: true, type: ["line", "bar"] },
            restore: { show: true },
            saveAsImage: { show: true },
          },
        },
        legend: {
          data: xdata,
        },
        grid: {
          left: "15%",
          right: "4%",
          bottom: "3%",
          containLabel: true,
        },
        xAxis: [
          {
            type: "category",
            data: xdata,
            axisPointer: {
              type: "shadow",
            },
            axisLabel: {
              interval: 0, //控制X轴刻度全部显示
              rotate: 45, //倾斜角度
              show: true,
              textStyle: {
                color: "#fff",
              },
            },
          },
        ],
        yAxis: [
          {
            type: "value",
            name: "在线访问量",
            min: 0,
            max: 250,
            interval: 50,
            axisLabel: {
              show: true,
              textStyle: {
                color: "#fff",
              },
            },
          },
          {
            type: "value",
            name: "数据量",
            min: 0,
            max: 25,
            interval: 5,
            axisLabel: {
              formatter: "{value}",
              textStyle: {
                color: "#fff",
              },
            },
          },
        ],
        series: [
          {
            name: "在线访问量",
            type: "bar",
            tooltip: {
              valueFormatter: function (value) {
                return value;
              },
            },
            data: [
              150, 100, 20000, 0, 2000, 200, 10000, 0, 3000, 100, 50000, 0, 0,
              0,
            ],
          },
          {
            name: "数据量",
            type: "line",
            yAxisIndex: 1,
            tooltip: {
              valueFormatter: function (value) {
                return value;
              },
            },
            data: [0, 0, 0, 25, 0, 0, 0, 10, 0, 0, 0, 20, 200, 20],
          },
        ],
      };

      let myChart = this.$echarts.init(document.getElementById("echart2"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart2_box {
  padding: 20px;
  background: rgba(0, 0, 0, 0.6);
}
#echart2 {
  width: 100%;
  height: 100%;
}
</style>
